#
# Example minimal merge portal values file. This file installs
# a merge portal at lh.example.net, loading images from
# a local registry. This file assumes an "empty" portal
# appliance setup.
#
image:
  repository: "host.internal:5000/mergetb/portal/services"
  pullPolicy: Always
  tag: latest

opsId: ops
opsEmail: ops@example.net
opsPw: NTFmYzk2ZTM0YWQ5ZTQ4NjJhYmZkZTkx

apiserver:
  ingress:
    api:
      endpoint: api.mergetb.example.net
      allowedOrigins: "https://*.mergetb.example.net,https://localhost:9000"
    grpc:
      endpoint: grpc.mergetb.example.net

mergefs:
  persistence:
    volumeStorage: 10Gi
    volumeName: myportal-mergefs

cred:
  certProvisioner: ops@mergetb.net

gitserver:
  ingress:
    endpoint: git.mergetb.example.net
  persistence:
    volumeStorage: 10Gi
    volumeName: myportal-git

sshJump:
  fqdn: jump.mergetb.example.net

xdc:
  hostAliases: "192.168.126.10,grpc.mergetb.example.net,api.mergetb.example.net,git.mergetb.example.net"
  xdcDomain: xdc.mergetb.example.net

etcd:
  persistence:
    selector:
      matchLabels:
        name: myportal-etcd

step-certificates:
  releaseName: step-ca
  ca:
    db:
      existingClaim: myportal-stepca
      size: 10Gi
      accessModes:
        - ReadWriteOnce

minio:
  auth:
    rootPassword: Y2Y0MDAwZWUzZTU4ODI2NjI2NWY4ZWQ0
  persistence:
    enabled: true
    existingClaim: minio
    claim:
      accessModes: ReadWriteOnce
      volumeStorage: 10Gi
      volumeName: myportal-minio
